Functions
Basic Configuration
Peripheral Driver » LL Driver » COMP » Functions

## Functions
__STATIC_INLINE void | ll_comp_enable (void)
| Enable COMP module. More...
__STATIC_INLINE void | ll_comp_disable (void)
| Disable COMP module. More...
__STATIC_INLINE void | ll_comp_set_input_src (uint32_t source)
| Set channel of COMP input source. More...
__STATIC_INLINE void | ll_comp_set_ref_src (uint32_t source)
| Set channel of COMP reference source. More...
__STATIC_INLINE void | ll_comp_set_vbatt_lvl (uint32_t level)
| Set VBATT control level. More...
__STATIC_INLINE void | ll_comp_set_vref_lvl (uint32_t level)
| Set VREF control level. More...
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_comp_is_active_flag_it (void)
| Indicate if the COMP Interrupt Flag is set or not. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_comp_clear_flag_it (void)
| Clear Interrupt Status flag for COMP. More...

## Detailed Description

## Function Documentation

## ◆ ll_comp_clear_flag_it()

SECTION_RAM_CODE __STATIC_INLINE void ll_comp_clear_flag_it | ( | void |  | ) |

Clear Interrupt Status flag for COMP.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | SLP_EVENT | MSIO_COMP | +———————-+———————————–+ \endrst

Return values

  None. |

Definition at line 357 of file gr55xx_ll_comp.h.

## ◆ ll_comp_disable()

__STATIC_INLINE void ll_comp_disable | ( | void |  | ) |

Disable COMP module.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | RF_REG_10 | COMP_EN | +———————-+———————————–+ \endrst

Return values

  None |

Definition at line 230 of file gr55xx_ll_comp.h.

## ◆ ll_comp_enable()

__STATIC_INLINE void ll_comp_enable | ( | void |  | ) |

Enable COMP module.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | RF_REG_10 | COMP_EN | +———————-+———————————–+ \endrst

Return values

  None |

Definition at line 211 of file gr55xx_ll_comp.h.

## ◆ ll_comp_is_active_flag_it()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_comp_is_active_flag_it | ( | void |  | ) |

Indicate if the COMP Interrupt Flag is set or not.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | SLP_EVENT | MSIO_COMP | +———————-+———————————–+ \endrst

Return values

  State | of bit (1 or o).

Definition at line 339 of file gr55xx_ll_comp.h.

## ◆ ll_comp_set_input_src()

__STATIC_INLINE void ll_comp_set_input_src | ( | uint32_t | source | ) |

Set channel of COMP input source.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | RF_REG_10 | AON_RF_REG_10_CHANNEL_SEL_P | +———————-+———————————–+ \endrst

Parameters

  source | This parameter can be one of the following values: LL_COMP_INPUT_SRC_IO0 LL_COMP_INPUT_SRC_IO1 LL_COMP_INPUT_SRC_IO2 LL_COMP_INPUT_SRC_IO3 LL_COMP_INPUT_SRC_IO4

Return values

  None |

Definition at line 255 of file gr55xx_ll_comp.h.

## ◆ ll_comp_set_ref_src()

__STATIC_INLINE void ll_comp_set_ref_src | ( | uint32_t | source | ) |

Set channel of COMP reference source.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | RF_REG_10 | AON_RF_REG_10_CHANNEL_SEL_N | +———————-+———————————–+ \endrst

Parameters

  source | This parameter can be one of the following values: LL_COMP_REF_SRC_IO0 LL_COMP_REF_SRC_IO1 LL_COMP_REF_SRC_IO2 LL_COMP_REF_SRC_IO3 LL_COMP_REF_SRC_IO4 LL_COMP_REF_SRC_VBAT LL_COMP_REF_SRC_VREF

Return values

  None |

Definition at line 281 of file gr55xx_ll_comp.h.

## ◆ ll_comp_set_vbatt_lvl()

__STATIC_INLINE void ll_comp_set_vbatt_lvl | ( | uint32_t | level | ) |

Set VBATT control level.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | RF_REG_10 | BATT_LVL_CTRL_LV | +———————-+———————————–+ \endrst

Parameters

  level | This parameter can be a value between: 0 ~ 7 Vbatt_ref = ((level+1)/10) * VBATT

Return values

  None |

Definition at line 301 of file gr55xx_ll_comp.h.

## ◆ ll_comp_set_vref_lvl()

__STATIC_INLINE void ll_comp_set_vref_lvl | ( | uint32_t | level | ) |

Set VREF control level.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | RF_REG_10 | COMP_REF_CTRL_LV | +———————-+———————————–+ \endrst

Parameters

  level | This parameter can be a value between: 0 ~ 63 Vref = 30mv * level

Return values

  None |

Definition at line 321 of file gr55xx_ll_comp.h.